- Update loan credit limit
Get loans
Get borrower's loans
Create loan
Get loan by ID
Update loan
Accelerate loan
Activate loan
Cancel loan
Charge-off loan
Close loan
Get loan credit limit
Freeze loan
Get loan lock status
Migrate loan
Refresh loan
Reimburse
Reopen a closed loan
Reverse accelerate
Reverse charge-off
Unfreeze loan
Update loan credit limit
Security
oauth2(Required scopes: loan:update) or bearerAuth or apiKeyHeader
The reason why the credit limit was changed. If passed, the copy used in the locCreditLimitChanged communication template. Make sure to phrase the copy as a full sentence or paragraph.
The credit limit amount for the line or draw. Only applicable to line of credit or installment loan with multiple advances. For installment loans with multi-advances, it is the amount financed set at origination.
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/credit-limit' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"adverseActionReason": "string",
"creditLimitAmount": 0.1,
"sendNotice": true,
"caseId": "string"
}'Response
{ "message": "string", "status": 0, "data": { "id": "string", "loanTypeId": "string", "additionalBorrowers": [ … ], "assetDisplayName": "string", "cancellationReason": "technicalIssue", "declineReason": { … }, "displayId": "string", "endDate": "2019-08-24", "externalId": "string", "labels": [ … ], "metaData": {}, "timestamps": { … }, "assetType": "personalClosedEndUnsecured", "chargedOffReason": "term", "companyId": "string", "mainBorrowerId": "string", "migration": { … }, "atOrigination": { … }, "current": { … }, "isClosed": true, "muteLoanNotices": true, "newDrawsAllowed": true, "nickname": "string", "object": "lineOfCredit", "paymentHoldDays": { … }, "ratesValidation": { … }, "servicedBy": "creditor", "status": "pending", "type": "lineOfCredit" } }